com.snowflake.client.jdbc

## Class SnowflakeColumnMetadata

- java.lang.Object
- - com.snowflake.client.jdbc.SnowflakeColumnMetadata

    public class SnowflakeColumnMetadata
    extends Object

Author:
  jhuang

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeColumnMetadata(String name, int type, boolean nullable, int length, int precision, int scale, String typeName, boolean fixed, SnowflakeType base, String columnSrcDatabase, String columnSrcSchema, String columnSrcTable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SnowflakeType` `getBase()`
`String` `getColumnSrcDatabase()`
`String` `getColumnSrcSchema()`
`String` `getColumnSrcTable()`
`int` `getLength()`
`String` `getName()`
`int` `getPrecision()`
`int` `getScale()`
`int` `getType()`
`String` `getTypeName()`
`boolean` `isFixed()`
`boolean` `isNullable()`
`void` `setFixed(boolean fixed)`
`void` `setLength(int length)`
`void` `setName(String name)`
`void` `setNullable(boolean nullable)`
`void` `setPrecision(int precision)`
`void` `setScale(int scale)`
`void` `setType(int type)`
`void` `setTypeName(String typeName)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnowflakeColumnMetadata

    public SnowflakeColumnMetadata(String name,
                                   int type,
                                   boolean nullable,
                                   int length,
                                   int precision,
                                   int scale,
                                   String typeName,
                                   boolean fixed,
                                   SnowflakeType base,
                                   String columnSrcDatabase,
                                   String columnSrcSchema,
                                   String columnSrcTable)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getType

    public int getType()

#### setType

    public void setType(int type)

#### isNullable

    public boolean isNullable()

#### setNullable

    public void setNullable(boolean nullable)

#### getLength

    public int getLength()

#### setLength

    public void setLength(int length)

#### getPrecision

    public int getPrecision()

#### setPrecision

    public void setPrecision(int precision)

#### getScale

    public int getScale()

#### setScale

    public void setScale(int scale)

#### getTypeName

    public String getTypeName()

#### setTypeName

    public void setTypeName(String typeName)

#### isFixed

    public boolean isFixed()

#### setFixed

    public void setFixed(boolean fixed)

#### getBase

    public SnowflakeType getBase()

#### getColumnSrcTable

    public String getColumnSrcTable()

#### getColumnSrcSchema

    public String getColumnSrcSchema()

#### getColumnSrcDatabase

    public String getColumnSrcDatabase()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`